Inspect

List skills

List active skills in the catalog, including built-in skills. Filter by a case-insensitive `query` that matches the skill ID or description. Use `GET /api/public/v1/skills/{skill_id}` for skill files.

Base URL
GET
/api/public/v1/skills

List active skills in the catalog, including built-in skills. Filter by a case-insensitive query that matches the skill ID or description. Use GET /api/public/v1/skills/{skill_id} for skill files.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

Query Parameters

query?string

Optional text to match against skill IDs and descriptions.

limit?integer

Maximum number of skills to return.

Formatint32
Range1 <= value <= 100
Default20

Response Body

Matching skills

application/json
  1. response
data*array<>
Example Request
curl -X GET 'https://your-org.inspect.com/api/public/v1/skills'
Example Response
{  "data": [    {      "id": "string",      "url": "http://example.com",      "description": "string"    }  ]}